#! /bin/sh 

#mount -n -t tmpfs -o "exec,nosuid,mode=0755,size=10M" udev /dev

[ -c /dev/console ] || mknod -m 600 /dev/console c 5 1
[ -c /dev/tty1 ] || mknod -m 620 /dev/tty1 c 4 1
[ -c /dev/tty ] || mknod -m 666 /dev/tty c 5 0

# udevd will dup its stdin/stdout/stderr to /dev/null
# and we do not want a file which gets buffered in ram
[ -c /dev/null ] || mknod -m 666 /dev/null c 1 3

# so udev can add its start-message to dmesg
[ -c /dev/kmsg ] || mknod -m 660 /dev/kmsg c 1 11

# Create problematic directories
mkdir -p /dev/pts /dev/shm

mkdir -p /dev/.udev /dev/.udev/rules.d


#/lib/udev/write_root_link_rule

echo "" >/proc/sys/kernel/hotplug

#/sbin/udevd --daemon ${opts} --debug >/dev/.udev/udev.log 2>&1
#/sbin/udevd --daemon ${opts}  >/dev/.udev/udev.log 2>&1
/lib/systemd/systemd-udevd --daemon  >/dev/.udev/udev.log 2>&1 

#udevadm control --property=STARTUP=1
udevadm trigger

udevadm settle --timeout=5


