#! /bin/sh

# assuming that $ROOT is the future root file system,
# we mount the standard partitions, and the pseudo file systems

export ROOT=$1

[ -z "$ROOT" ] && ROOT=/nroot

[ -d $ROOT/usr ] || mkdir $ROOT/usr
[ -d $ROOT/var ] || mkdir $ROOT/var
[ -d $ROOT/proc ] || mkdir $ROOT/proc
[ -d $ROOT/sys ] || mkdir $ROOT/sys
[ -d $ROOT/dev ] || mkdir $ROOT/dev


mount /dev/sda5 $ROOT/usr
mount /dev/sda7 $ROOT/var

mount --bind /proc $ROOT/proc
mount --bind /sys $ROOT/sys
mount --bind /dev $ROOT/dev

